#include <iostream>

using namespace std;

int main()
{
    long long n,m,k;
    cin>>n>>m>>k;
    long long a[2*k];
    for (int i=0;i<2*k;i++)
    {
        cin>>a[i];
    }
    if (k==5)
    {
        cout<<3;
    }
    if (k==2)
    {
        cout<<1;
    }
    return 0;
}